---
layout: page
title: Setup
permalink: /setup/
---

> ## Data
>
> The data for this lesson is a part of the Data Carpentry Social Sciences
> workshop. It is a teaching version of the Studying African Farmer-Led
> Irrigation (SAFI) database. The SAFI dataset represents interviews of farmers
> in two countries in eastern sub-Saharan Africa (Mozambique and Tanzania).
> These interviews were conducted between November 2016 and June 2017 and probed
> household features (e.g. construction materials used, number of household
> members), agricultural practices (e.g. water usage), and assets (e.g. number
> and types of livestock).
> 
> The data used in this lesson
> is a subset of the teaching version that has been intentionally 'messed up'
> for this lesson.
> 
> **Download** the data file to your computer by [clicking this link](https://ndownloader.figshare.com/files/11502815). (direct link: <https://ndownloader.figshare.com/files/11502815>)
{: .prereq}


> ## Software
>
> For this lesson you will need **OpenRefine** (formerly Google Refine) and a
> web browser.
>
> Note: this is a Java program that runs on your machine (not in the cloud). It runs inside your browser, but no web connection is needed.
>
{: .prereq}

#### Windows

- Check that you have Firefox or Chrome browsers installed and set as your 
default browser. OpenRefine runs in your default browser. It will not run correctly in Internet Explorer.
- Download software from [http://openrefine.org](http://openrefine.org)
- Unzip the downloaded file into a directory by right-clicking and 
selecting “Extract…”. Name that directory something like OpenRefine.
- Go to your newly created OpenRefine directory.
- Launch OpenRefine
- Click the openrefine.exe (this will launch a command prompt window, but you can ignore that and wait for the browser to launch)
- If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.

#### Mac

- Check that you have Firefox or Chrome browsers installed and set as your 
default browser. OpenRefine runs in your default browser. It will not run correctly in Internet Explorer.
- Download software from [http://openrefine.org](http://openrefine.org)
- Unzip the downloaded file into a directory by double-clicking it. Name 
that directory something like OpenRefine.
- Go to your newly created OpenRefine directory.
- Launch OpenRefine
- Drag icon into Applications folder, and Ctrl-click/Open… it. 
- If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.

#### Linux

- Check that you have Firefox or Chrome browsers installed and set as your 
default browser. OpenRefine runs in your default browser. It will not run correctly in Internet Explorer.
- Download software from [http://openrefine.org](http://openrefine.org)
- Unzip the downloaded file into a directory. Name 
that directory something like OpenRefine.
- Go to your newly created OpenRefine directory.
- Launch OpenRefine
- Type ./refine into the terminal within the OpenRefine directory
- If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.

